Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.dom.events
Class JRexEventTargetImpl

    java.lang.Object
      org.mozilla.jrex.dom.events.JRexEventTargetImpl

All Implemented Interfaces:
  EventTarget

public class JRexEventTargetImpl
extends Object
implements EventTarget

A class implementing org.w3c.dom.events.EventTarget interface.

Version:
  1.0
Author:
  C.N.Medappa
See Also:
  `EventTarget`

Method Summary
`void` | `addEventListener(String type, EventListener listener, boolean useCapture)`
`boolean` | `dispatchEvent(Event evt)`
`void` | `dispose()` Function to explicitly disconnect from native DOM Object
`boolean` | `equals(Object obj)`
`protected void` | `finalize()`
`Node` | `getNode()` Returns the node corresponding to the EventTarget.
`int` | `hashCode()`
`void` | `removeEventListener(String type, EventListener listener, boolean useCapture)`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getNode

    public Node getNode()

  Returns the node corresponding to the EventTarget.

  Returns:
    the target node.

### addEventListener

    public void addEventListener(String type,
                                 EventListener listener,
                                 boolean useCapture)

  Specified by:
    `addEventListener` in interface `EventTarget`

### removeEventListener

    public void removeEventListener(String type,
                                    EventListener listener,
                                    boolean useCapture)

  Specified by:
    `removeEventListener` in interface `EventTarget`

### dispatchEvent

    public boolean dispatchEvent(Event evt)
                          throws EventException

  Specified by:
    `dispatchEvent` in interface `EventTarget`
  Throws:
    `EventException`

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

### finalize

    protected void finalize()
                     throws Throwable

  Throws:
    `Throwable`

### dispose

    public void dispose()

  Function to explicitly disconnect from native DOM Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.